<?php
class ChairmanFactory {
    public static function make(mysqli $conn, array $config=array()) {
        $container = new ChairmanContainer($conn, $config);
        return new ChairmanCore($container);
    }
}
